#pragma once

#include "IFontEngine.h"

#include "Image.h"
#include "FontGlyph.h"

class BasicFontEngine : public IFontEngine
{
    virtual void initialize(){};

    virtual void loadFontFace(const std::filesystem::path& fontFile, int penSize = 16){};

    virtual std::unique_ptr<FontGlyph> loadGlyph(unsigned charCode){return nullptr;};
};
